# 人员组织权限接口文档

## 系统接口

> #### <font color='red'>1、condition 为 query，create，update，delete</font>
>
> #### <font color='red'>2、为了读写分离，serviceid还会变动，请不要写死</font>
>
> #### <font color='red'>3、增删改查userId、groupCode必须传值，projectId、appId如果有需要传</font>
>
> #### <font color='red'>4、请求方式：POST</font>
>
> #### <font color='red'>5、IP端口号: 39.102.54.110:8081/org</font>
>
> #### <font color='red'>6、create，update，delete 返回值格式 </font>
>
>
> ```json
> {
>    "result": "success",
>      "data": {
>          "ids": [
>              "5c1e17",
>              "727591"
>          ]
>      }
> }
> ```

### 查询

### [通用查询](/utils/query.md)

### 集团（<font color='red'>只提供查询接口</font>）

请求路径：/group/{condition}?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id

请求参数：

```json
查询字段：
{
  "id": "1",
  "code": "WD",
  "name": "万达",
  "status": 1,
  "createUser": "test",
  "createTime": 1602635731000,
  "updateUser": "test",
  "updateTime": 1602635741000,
  "remark": "测试数据"
}
```

### 公司

请求路径：/company/{condition}?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id

请求参数：

```json
查询字段：
{
  "id": "2",
  "code": "WD_CP_02",
  "name": "万达测试2",
  "groupCode": "WD",
  "parentId": "1",
  "status": 1,
  "createUser": "test",
  "createTime": 1602472956000,
  "updateUser": "w",
  "updateTime": 1602529764000,
  "remark": "测试数据"
}
"withColumns" 可用字段 "projects"
新增：[{},{}]
[{
  "code": "WD_CP_01",//非空
  "name": "万达测试1",//非空
  "parentId": "1",//非空
  "remark": "测试数据",
  "projects": [
    {"id": "1"},
    {"id": "3"}
  ]//projects 给公司配置项目的id
}]
更新：[{},{}]
[{
  "id": "1",//非空
  "code": "WD_CP_01",
  "name": "万达测试1",
  "parentId": "2",
  "remark": "测试数据",
  "projects": [
    {"id": "1"},
    {"id": "3"}
  ]//projects 给公司配置项目的id
}]
删除：[{},{}]
[{
  "id": "1"
}]
```
### 项目

<font color='red'>注：项目id、name不能重复</font>

请求路径：/project/{condition}?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id

请求参数：

```json
查询字段：
{
  "id": "1",
  "name": "测试项目1",
  "groupCode": "WD",
  "status": 1,
  "createUser": "test",
  "createTime": 1602473167000,
  "remark": "测试数据"
}
"withColumns" 可用字段 "companies"
新增：[{},{}]
[{
  "id": "3",//非空，业务维护项目Id字段
  "name": "测试项目3",//非空
  "remark": "测试数据"
}]
更新：[{},{}]
[{
  "id": "3",//非空
  "name": "测试项目3",
  "remark": "测试数据"
}]
删除：[{},{}]
[{
  "id": "1"
}]
```
### 人员账号

<font color='red'>支持用companyIds或deptIds查询人员，companyIds与deptIds同时传值，取companyIds自动忽略deptIds，companyIds与deptIds为数组："companyIds": ["",""]、 "deptIds": ["",""]</font>

请求路径：/user/{condition}?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id

请求参数：

```json
查询字段：
{
  "id": "1",
  "name": "King",
  "username": "king",
  "password": "123456",
  "idNumber": "007",
  "gender": 1,
  "phone": "13399998888",
  "mail": "test@p.com",
  "birthday": 1602635405000,
  "headPortrait": "test_url",
  "otherAccount": "test_other",
  "userFrom": "test_0",
  "isAdmin": "0",
  "groupCode": "集团code",
  "status": 1,
  "lastIp": "192.168.2.110",
  "lastLoginTime": "1602635430000",
  "staffLevel": "",// 人员职级
  "userType": "",// 用户类型（中心人员、通用人员）
  "entryTime": "",// 入职时间
  "leaveTime": "",// 离职时间
  "createUser": "test",
  "createTime": 1602635430000,
  "updateUser": "1",
  "updateTime": 1602641567000,
  "remark": "测试数据",
  "companyIds": ["",""],
  "deptIds": ["",""],
}
"withColumns" 可用字段 "jobs"

新增：[{},{}]
[
  {
    "name": "King",
    "username": "king",//非空
    "password": "123456",//非空
    "gender": 1,
    "phone": "13399998888",
    "mail": "test@p.com",
    "birthday": 1602635405000,
    "headPortrait": "test_url",
    "otherAccount": "test_other",
    "userFrom": "test_0",
    "isAdmin": "0",
    "remark": "测试数据"
  }
]
更新：[{},{}]
[{
  "id": "1",//非空
  "name": "King",
  "username": "king",
  "password": "123456",
  "gender": 1,
  "phone": "13399998888",
  "mail": "test@p.com",
  "birthday": 1602635405000,
  "headPortrait": "test_url",
  "otherAccount": "test_other",
  "userFrom": "test_0",
  "isAdmin": "0",
  "remark": "测试数据"
}]
删除：[{},{}]
[
  {
 		"id": "1"
	}
]
```
### 部门

请求路径：/dept/{condition}?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id

请求参数：

```json
查询字段：
{
  "id": "1",
  "deptClassifyCode": "DEV_DATA",
  "code": "DEV_DMP",
  "name": "数据中台",
  "companyId": "1",
  "parentId": "0",
  "groupCode": "WD",
  "resourceFrom": "0",
  "manager": "admin",
  "status": 1,
  "createUser": "test",
  "createTime": 1602637869000,
  "updateUser": "test",
  "updateTime": 1602637875000,
  "remark": "测试数据"
}
新增：[{},{}]
[
  {
    "deptClassifyCode": "DEV_DATA",//非空
    "code": "DEV_DMP",//非空
    "name": "数据中台",//非空
    "companyId": "1",//非空
    "parentId": "0",//“0”表示顶级部门,非空
    "resourceFrom": "0",
    "manager": "admin",
    "remark": "测试数据"
  }
]

更新：[{},{}]
[
  {
    "id": "1",//非空
    "deptClassifyCode": "DEV_DATA",
    "code": "DEV_DMP",
    "name": "数据中台",
    "companyId": "1",
    "parentId": "0",
    "resourceFrom": "0",
    "manager": "admin",
    "remark": "测试数据"
  }
]
删除：[{},{}]
[
  {
  	"id": "1"
	}
]
```

### 部门分类

<font color='red'>注：code、name不可重复</font>

请求路径： /dept/classify/{condition}?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id

请求参数：

```json
查询字段：
{
  "id": "1",
  "code": "DEV",
  "name": "开发",
  "parentId": "0",
  "orderNum": 1,
  "groupCode": "WD",
  "status": 1,
  "createUser": "test",
  "createTime": 1602637581000,
  "updateUser": "test",
  "updateTime": 1602637584000,
  "remark": "测试数据"
}
新增：[{},{}]
[{
  "code": "DEV",//非空
  "name": "开发",//非空
  "parentId": "0",
  "orderNum": 1,
  "remark": "测试数据"
}]
更新：[{},{}]
[{
  "id": "1",//非空
  "code": "DEV",
  "name": "开发",
  "parentId": "0",
  "orderNum": 1,
  "remark": "测试数据"
}]
删除：[{},{}]
[{
  "id": "1"
}]
```
### 岗位

请求路径：/job/{condition}?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id

请求参数：

```json
查询字段：
{
  "id": "1",
  "code": "DEV_JAVA",
  "name": "Java开发",
  "groupCode": "WD",
  "userId": "1",
  "deptId": "1",
  "jobClassifyCode": "DEV_JAVA_CLASS",
  "resourceFrom": "0",
  "status": 1,
  "createUser": "test",
  "createTime": 1602635883000,
  "updateUser": "test",
  "updateTime": 1602635887000,
  "remark": "测试数据"
}
新增：[{},{}]
[{
  "code": "DEV_JAVA",//非空
  "name": "Java开发",//非空
  "groupCode": "WD",//非空
  "userId": "1",//非空
  "deptId": "1",//非空
  "jobClassifyCode": "DEV_JAVA_CLASS",//非空
  "resourceFrom": "0",
  "remark": "测试数据"
}]
更新：[{},{}]
[{
  "id": "1",//非空
  "code": "DEV_JAVA",
  "name": "Java开发",
  "userId": "1",
  "deptId": "1",
  "jobClassifyCode": "DEV_JAVA_CLASS",
  "resourceFrom": "0",
  "remark": "测试数据"
}]
删除：[{},{}]
[{
  "id": "1"
}]
```
### 岗位分类

请求路径：/job/classify/{condition}?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id

请求参数：

```json
查询字段：
{
  "id": "1",
  "code": "DEV_JAVA_CLASS",
  "name": "开发",
  "groupCode": "WD",
  "orderNum": 1,
  "status": 1,
  "createUser": "test",
  "createTime": 1602637370000,
  "updateUser": "test",
  "updateTime": 1602637379000,
  "remark": "测试数据"
}
新增：[{},{}]
[
  {
    "code": "DEV_JAVA_CLASS",//非空
    "name": "开发",//非空
    "orderNum": 1,
    "remark": "测试数据"
	}
]
更新：[{},{}]
[
  {
    "id": "1",//非空
    "code": "DEV_JAVA_CLASS",
    "name": "开发",
    "orderNum": 1,
    "remark": "测试数据"
  }
]
删除：[{},{}]
[
  {
    "id": "1"
  }
]
```

### 应用（<font color='red'>只提供查询接口</font>）

请求路径：/application/{condition}?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id

请求参数：

```json
查询字段：
{
  "id": "1",
  "code": "DMP",
  "name": "数据中台",
  "category": "运维",
  "appOrder": 1,
  "menuIconKey": "test_icon",
  "iconKey": "test_key",
  "description": "测试des44",
  "objType": "test_type",
  "status": 1,
  "createUser": "test",
  "createTime": 1602638586000,
  "updateUser": "test",
  "updateTime": 1602638597000,
  "remark": "测试数据"
}
```
### 功能（<font color='red'>只提供查询接口</font>）

请求路径：/function/{condition}?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id

请求参数：

```json
查询字段：
{
  "id": "1",
  "code": "DMP_FUNC",
  "name": "数据中台功能",
  "type": "test",
  "parentId": "0",
  "appId": "1",
  "functionUrl": "test_url",
  "icon": "test_icon",
  "description": "test_des",
  "functionAlias": "test_alias",
  "objType": "test_type",
  "funcOrder": 1,
  "status": 1,
  "createUser": "test",
  "createTime": 1602638915000,
  "updateUser": "test",
  "updateTime": 1602638923000,
  "remark": "测试数据"
}
```
### 岗位分类与应用功能关系

请求路径：/job/classify/rel/{condition}?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id

请求参数：

```json
查询字段：
{
  "id": "1",
  "jobClassifyCode": "DEV_JAVA_CLASS",
  "appId": "1",
  "functionId": "1",
  "groupCode": "WD",
  "status": 1,
  "createUser": "test",
  "createTime": 1602637470000,
  "updateUser": "test",
  "updateTime": 1602637476000,
  "remark": "测试数据"
}
新增：[{},{}]
[{
  "jobClassifyCode": "DEV_JAVA_CLASS",//非空
  "appId": "1",//appId与functionId不能都为空
  "functionId": "1",
  "remark": "测试数据"
}]
更新：[{},{}]
{
  "id": "1",//非空
  "jobClassifyCode": "DEV_JAVA_CLASS",
  "appId": "1",
  "functionId": "1",
  "remark": "测试数据"
}
删除：[{},{}]
[
  {
  	"id": "1"
	}
]
```

### 集团与应用的关系

请求路径：/group/app/rel/{condition}?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id

请求参数：

```json
查询字段：
{
    "id": "1",//非空
    "groupCode": "XCJT",//非空
    "appId": 1,
    "authority_type": "0",
    "createUser": "test",
    "createTime": 1602637470000,
    "updateUser": "test",
    "updateTime": 1602637476000,
    "remark": "测试数据"
}
新增：[{},{}]
[
  {
    "appId": 1,//非空
    "groupCode": "XCJT",//非空
    "authority_type": "0",
    "remark": "测试数据"
	}
]
更新：[{},{}]
[
  {
    "id": "1",//非空
    "appId": 1,
    "groupCode": "XCJT",
    "authority_type": "0",
    "remark": "测试数据"
  }
]
删除：[{},{}]
[
  {
    "id": "1"
  }
]
```

### 集团与功能的关系

请求路径：/group/function/rel/{condition}?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id

请求参数：

```json
查询字段：
{
    "id": "1",//非空
    "groupCode": "XCJT",//非空
    "functionId": 1,
    "authority_type": "0",
    "createUser": "test",
    "createTime": 1602637470000,
    "updateUser": "test",
    "updateTime": 1602637476000,
    "remark": "测试数据"
}
新增：[{},{}]
[
  {
    "appId": 1,//非空
    "groupCode": "XCJT",//非空
    "authority_type": "0",
    "remark": "测试数据"
	}
]
更新：[{},{}]
[
  {
    "id": "1",//非空
    "groupCode": "XCJT",
    "functionId": 1,
    "authority_type": "0",
    "remark": "测试数据"
  }
]
删除：[{},{}]
[
  {
    "id": "1"
  }
]
```

